com.informix.util

## Class memoryUtil

- java.lang.Object
- - com.informix.util.memoryUtil

    public class memoryUtil
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`memoryUtil()`

### Method Summary

Methods
`static byte[]` `allocateMemory(int memLength, IfxConnection conn)` This function will allocate memory for byte array.
`static byte[]` `byfill(byte[] b, byte f)` Fills given byte array with the given fill byte

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### memoryUtil

    public memoryUtil()

### Method Detail

#### allocateMemory

    public static byte[] allocateMemory(int memLength,
                        IfxConnection conn)
                                 throws java.sql.SQLException

This function will allocate memory for byte array.

Parameters:
  `int` - - length
  `conn` - - connection
Returns:
  byte[]
Throws:
  `java.sql.SQLException`

#### byfill

    public static byte[] byfill(byte[] b,
                byte f)

Fills given byte array with the given fill byte